<template>
  <img :src="'/httpImage/'+src" :onerror="noneImg" :height="height" :width="width"  :alt="alt"/>
</template>
<script>
export default {
  name: 'httpImg',
  props: {
    src: {
      default: '',
      type: String
    },
    alt: {
      default: '',
      type: String
    },
    height: {
      default: '100%',
      type: String
    },
    width: {
      default: 'auto',
      type: String
    }
  },
  data() {
    return {
      noneImg: 'this.src="' + require('@/assets/img/noneImg.png') + '"'
    }
  }
}
</script>
<style scoped>
</style>
